feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Save

# Documentation

data Save a where

Constructors

Save :: Type a => Save (a :-> Full a) |

Instances

EvalBind Save |
Semantic Save |
Eval Save |
Render Save |
ToTree Save |
Equality Save |
Sharable Save |
AlphaEq dom dom dom env => AlphaEq Save Save dom env |
SizeProp (:|| Save Type) |
(:<: (:|| Save Type) dom, OptimizeSuper dom) => Optimize (:|| Save Type) dom |